View Issue Details

IDProjectCategoryView StatusLast Update
0015459ScribusTypographypublic2019-06-04 20:56
Reporterfunnell Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformMS WindowsOSMS WindowsOS VersionWindows 7
Product Version1.5.4 
Target VersionFixed in Version1.5.5.svn 
Summary0015459: Non Breaking Dash gives hyphen followed by space
DescriptionWhen I insert a Non Breaking Dash into text, I get a hyphen followed by a space. Line breaking is suppressed, as desired, but the space character is very inappropriate. The space appears on the screen in Scribus and also in an exported PDF file.

A subsidiary question is why it's called Non Breaking Dash in the GUI when it should be Non Breaking Hyphen.
Steps To ReproduceInsert a Non Breaking Dash into text.
Additional InformationIf I want, for example, '4.00-GHz CPU', in the .sla file it shows up as
                <ITEXT CH="4.00"/>
                <nbhyphen/>
                <ITEXT CH="GHz CPU"/>
I presume that the line break after <nbhyphen/> in the XML is being interpreted as white space.
Tagsspecial characters, text
PatchNo

Activities

funnell

2018-10-24 02:16

reporter   ~0045539

That's fantastic that it's been fixed! Would it be possible to have a new Windows build uploaded to SourceForge?
Thank you.

jghali

2018-11-01 10:07

administrator   ~0045560

Sorry for the delay, I've been very busy recently. But here it is:
https://sourceforge.net/projects/scribus/files/scribus-svn/1.5.5.svn/

funnell

2018-11-01 10:53

reporter   ~0045562

It works fine now. Thank you!

Issue History

Date Modified Username Field Change
2018-10-20 18:59 funnell New Issue
2018-10-20 18:59 funnell Tag Attached: special characters
2018-10-20 18:59 funnell Tag Attached: text
2018-10-20 21:25 jghali Assigned To => jghali
2018-10-20 21:25 jghali Status new => resolved
2018-10-20 21:25 jghali Resolution open => fixed
2018-10-20 21:25 jghali Fixed in Version => 1.5.5.svn
2018-10-24 02:16 funnell Note Added: 0045539
2018-11-01 10:07 jghali Note Added: 0045560
2018-11-01 10:53 funnell Note Added: 0045562
2019-06-04 20:56 cbradney Status resolved => closed